/***************************************************************************
 *   Copyright (C) 2006 by Robert Hogan                                    *
 *   robert@roberthogan.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.              *
 ***************************************************************************/

#ifndef TDEIO_APPINFO_H_
#define TDEIO_APPINFO_H_

#include <tdeio/slavebase.h>

#include "appimpl.h"

class TQCString;
class TQString;
class KURL;

class TDEIO_AppInfo : public TDEIO::SlaveBase
{
public:
  TDEIO_AppInfo(const TQCString &pool_socket, const TQCString &app_socket);
  virtual ~TDEIO_AppInfo();
  virtual void listDir(const KURL &url);
  virtual void stat(const KURL &url);

private:
  void listRoot();
  void listAppContents(const TQString &name);

  AppImpl m_impl;
};

#endif
